NX Open C++ Reference Guide
|
<br> To create a new instance of this class, use @link Routing::RouteManager::CreateEditBendAngleBuilder Routing::RouteManager::CreateEditBendAngleBuilder @endlink <br>
Created in NX7.5.0.
More...
Public Member Functions | |
void | CommitCurrentEdit () |
Commits the current edit operation. | |
double | GetSelectedBendData (NXOpen::Vector3d *anchorSegDir, NXOpen::Point3d *rcpPos, NXOpen::Vector3d *planeNormal) |
Returns information about the angle being changed. | |
void | SetMoveAttachedFlag (bool moveAttached) |
Move all attached geometry as a rigid set. | |
void | SetRCP (NXOpen::TaggedObject *bendRcp) |
Set the Bend RCP to edit. | |
void | SwapAnchorSegment () |
Swap the free and anchor segments. | |
void | UpdateAngle (double angle) |
Set the vector the defines the new bend angle. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
<br> To create a new instance of this class, use @link Routing::RouteManager::CreateEditBendAngleBuilder Routing::RouteManager::CreateEditBendAngleBuilder @endlink <br>
Created in NX7.5.0.
void NXOpen::Routing::EditBendAngleBuilder::CommitCurrentEdit | ( | ) |
Commits the current edit operation.
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
double NXOpen::Routing::EditBendAngleBuilder::GetSelectedBendData | ( | NXOpen::Vector3d * | anchorSegDir, |
NXOpen::Point3d * | rcpPos, | ||
NXOpen::Vector3d * | planeNormal | ||
) |
Returns information about the angle being changed.
anchorSegDir | The anchor Segment |
rcpPos | The position of the bend rcp |
planeNormal | The normal of the plane the arc lies in. |
void NXOpen::Routing::EditBendAngleBuilder::SetMoveAttachedFlag | ( | bool | moveAttached | ) |
Move all attached geometry as a rigid set.
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
moveAttached | Whether or not to move the geometry as a rigid set. |
void NXOpen::Routing::EditBendAngleBuilder::SetRCP | ( | NXOpen::TaggedObject * | bendRcp | ) |
Set the Bend RCP to edit.
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
bendRcp | Bend Rcp |
void NXOpen::Routing::EditBendAngleBuilder::SwapAnchorSegment | ( | ) |
Swap the free and anchor segments.
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
void NXOpen::Routing::EditBendAngleBuilder::UpdateAngle | ( | double | angle | ) |
Set the vector the defines the new bend angle.
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
angle | The new angle. |